Bug 13032 - Crash in vfs_streams_xattr with log level 10
Crash in vfs_streams_xattr with log level 10
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.7.0rc5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Christof Schmitt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-13 23:22 UTC by Christof Schmitt
Modified: 2017-10-20 09:11 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.7.0 (1.84 KB, patch)
2017-09-14 16:30 UTC, Jeremy Allison
slow: review+
cs: review+
Details
Patch for 4.6 (1.77 KB, patch)
2017-09-14 17:16 UTC, Christof Schmitt
slow: review+
Details
Patch for 4.5 (1.77 KB, patch)
2017-09-14 17:17 UTC, Christof Schmitt
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2017-09-13 23:22:39 UTC
smbd crashes with the vfs_streams_xattr module enabled and
log level set to 10.

Patch to follow.
Comment 1 Jeremy Allison 2017-09-14 16:30:31 UTC
Created attachment 13598 [details]
git-am fix for 4.7.0

Cherry-pick from master.
Comment 2 Christof Schmitt 2017-09-14 17:16:33 UTC
Created attachment 13599 [details]
Patch for 4.6
Comment 3 Christof Schmitt 2017-09-14 17:17:32 UTC
Created attachment 13600 [details]
Patch for 4.5
Comment 4 Ralph Böhme 2017-09-14 17:43:58 UTC
Reassigning to Karolin for inclusion in 4.5, 4.6. and 4.7.
Comment 5 Stefan Metzmacher 2017-09-17 16:50:14 UTC
Pushed to v4-{6,7}-test

I don't thing we'll do a 4.5 release again.